Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.model
Class FooModel

    java.lang.Object
      datechooser.model.AbstractDateChooseModel
          datechooser.model.FooModel

All Implemented Interfaces:
  DateChoose, java.io.Serializable

    public class FooModel

extends AbstractDateChooseModel

Foo model. No selection available.
Модель пустышка. Не позволяет делать выбора вообще.

Since:
  1.0
Author:
  Androsov Vadim
See Also:
  Serialized Form

Field Summary

Fields inherited from class datechooser.model.AbstractDateChooseModel
`changeEventsOn`

Constructor Summary
`FooModel()`

Method Summary
`protected void` | `applySelection()` Делает попытка выбрать ячейку под курсором.
`void` | `applySelectNothing()` Попытка не выбрать ни одной даты.
`CellState` | `getSelectedCellState()`
`java.util.Calendar` | `getSelectedDate()` Get selected date.
`boolean` | `isCursor(int row, int column)` Is cursor in specified position.
`boolean` | `isNothingSelected()` True if no selected dates (null selection).
`boolean` | `isSelected(java.util.Calendar aDate)` Is specified date selected.
`boolean` | `isSomeSelected()`
`protected void` | `refreshIncompatibility()`
`boolean` | `select(int row, int column)` Selects specified cell.
`protected void` | `selectColumn(int column)`
`void` | `setNothingSelected(boolean nothingSelected)` Selects nothing (null).
`void` | `setTypeSelected(int typeIndex)`

Methods inherited from class datechooser.model.AbstractDateChooseModel
`addCommitListener, addCursorMoveListener, addPropertyChangeListener, addSelectionChangedListener, commit, fireCursorMove, firePropertyChange, fireSelectionChange, getCellCaption, getCellDate, getCellState, getColsCount, getCurrent, getDefaultDate, getForbidden, getForbiddenSet, getLocale, getMaxConstraint, getMinConstraint, getRowsCount, getVisibleDate, invalidate, isAutoScroll, isChangeEventsOn, isDateForbidden, isEnabled, isForbiddenDefault, isLocked, isNothingAllowed, isPeriodForbidden, isShowNeighbourMonth, monthShift, needsFullValidation, removeCommitListener, removeCursorMoveListener, removePropertyChangeListener, removeSelectionChangedListener, select, selectNothing, setAutoScroll, setChangeEventsOn, setConstraints, setDefaultDate, setEnabled, setForbidden, setForbiddenSet, setLocale, setLocked, setMaxConstraint, setMinConstraint, setNothingAllowed, setSelectedDate, setShowNeighbourMonth, shift, showMonthYear, tryApplySelection, yearShift`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FooModel

    public FooModel()

Method Detail

### isSelected

    public boolean isSelected(java.util.Calendar aDate)

  Description copied from interface: `DateChoose`
  Is specified date selected.
  Выбрана ли ячейка

### getSelectedDate

    public java.util.Calendar getSelectedDate()

  Description copied from interface: `DateChoose`
  Get selected date.
  Дата, соответствующая выбранной ячейки.

### applySelection

    protected void applySelection()

  Description copied from class: `AbstractDateChooseModel`
  Делает попытка выбрать ячейку под курсором. Что делать дальше зависит от допустимых вариантов выбора.

  Specified by:
    `applySelection` in class `AbstractDateChooseModel`

### isCursor

    public boolean isCursor(int row,
                            int column)

  Description copied from interface: `DateChoose`
  Is cursor in specified position.
  Проверяет, находится ли курсор в заданной позиции.

  Specified by:
    `isCursor` in interface `DateChoose`
  Overrides:
    `isCursor` in class `AbstractDateChooseModel`

### select

    public boolean select(int row,
                          int column)

  Description copied from interface: `DateChoose`
  Selects specified cell.
  Выбор ячейки.

  Specified by:
    `select` in interface `DateChoose`
  Overrides:
    `select` in class `AbstractDateChooseModel`
  Returns:
    Произошел ли выбор.

### isSomeSelected

    public boolean isSomeSelected()

### getSelectedCellState

    public CellState getSelectedCellState()

### setTypeSelected

    public void setTypeSelected(int typeIndex)

### selectColumn

    protected void selectColumn(int column)

  Specified by:
    `selectColumn` in class `AbstractDateChooseModel`

### applySelectNothing

    public void applySelectNothing()

  Description copied from class: `AbstractDateChooseModel`
  Попытка не выбрать ни одной даты.

  Specified by:
    `applySelectNothing` in class `AbstractDateChooseModel`

### refreshIncompatibility

    protected void refreshIncompatibility()

### isNothingSelected

    public boolean isNothingSelected()

  Description copied from interface: `DateChoose`
  True if no selected dates (null selection).
  Возвращает истину, если не выбрано ни одной даты.

### setNothingSelected

    public void setNothingSelected(boolean nothingSelected)

  Description copied from interface: `DateChoose`
  Selects nothing (null).
  Снимает выбор со всех дат.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD